package cn.ibizhub.demo.demo.service.impl;

import cn.ibizhub.demo.demo.domain.DBET;
import cn.ibizhub.demo.demo.service.DBETService;
import cn.ibizhub.demo.demo.dao.DBETDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import javax.servlet.http.HttpServletResponse;
import java.io.*;
import java.lang.reflect.Field;
import java.util.*;

/**
 * 实体[DBET] 服务对象接口实现
 */
@Transactional
@Service
public class DBETServiceImpl implements DBETService{

    @Autowired
    private DBETDao dbetdao;

    @PersistenceContext
    EntityManager entityManager;

    public void addDBET (DBET dbet){
        dbetdao.save(dbet);
    }
    public void deleteDBET (DBET dbet){
        dbetdao.delete(dbet);
    }
    public void updateDBET (DBET dbet){
        dbetdao.save(dbet);
    }
    public List<DBET> selectDBETall (){
        return dbetdao.findAll();
    }
    public DBET selectDBET (String id){
        return dbetdao.findById(id).get();
    }

    public List<DBET> findByDbetnameContaining(String param){
        return dbetdao.findByDbetnameContaining(param);
    }

    public List<DBET> findBySex(String param){
        return dbetdao.findBySex(param);
    }


    public List<DBET> Qbc(DBET dbet){

        String str = "SELECT t FROM T_DBET t";
        StringBuffer condition = new StringBuffer();
        String str_if = "";
        if(dbet.getDbetname()!=null&&!"".equals(dbet.getDbetname())){
            condition.append(" and ").append(" t.dbetname ").append(" like ").append("'").append("%").append(dbet.getDbetname()).append("%").append("'");
        }
        if(dbet.getSex()!=null&&!"".equals(dbet.getSex())){
            condition.append(" and ").append(" t.sex ").append(" = ").append("'").append(dbet.getSex()).append("'");
        }
        if(condition.length()>0){
            str_if = condition.toString();
            str_if = str_if.substring(4,str_if.length());
            str = str+" where "+str_if;
        }
        Query query = entityManager.createQuery(str);
        List<DBET> persons = query.getResultList();
        return persons;
    }

}